Update joint venture options

patch

/fscmRestApi/resources/11.13.18.05/jointVentureOptions/{applicationId}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
    Default Value: 10568
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : optionsDFF
Type: array
Show Source
Nested Schema : schema
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : jointVentureOptions-item-response
Type: object
Show Source
Nested Schema : optionsDFF
Type: array
Show Source
Nested Schema : jointVentureOptions-optionsDFF-item-response
Type: object
Show Source
Back to Top

Examples

The following example shows how to update joint venture options by submitting a PATCH request on the REST resource using cURL.

curl -i -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -X PATCH -d @JVOptionPatch.json https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureOptions/10568 

Request Body Example

The following shows an example of the request body in JSON format.

{
  "generalLedgerTransactionDateReference": "General ledger reference date",
  "subledgerAccountingTransactionDateReference": "TRANSACTION_DATE",
  "subledgerAccountingProjectIdReference": "JV_PROJECT_ID",
  "subledgerAccountingTaskIdReference": "JV_TASK_ID",
  "subledgerAccountingExpenditureTypeIdReference": "JV_EXP_TYPE_ID",
  "subledgerAccountingExpenditureItemDateReference": "JV_EXP_DATE_ID",
  "subledgerAccountingExpenditureOrganizationIdReference": "JV_EXP_ORG_ID",
  "subledgerAccountingExpenditureBusinessUnitIdReference": "JV_EXP_BU_ID",
  "primarySegmentLabelCode": "FA_COST_CTR",
  "overrideTaskNumber": "2",
  "overrideExpenditureType": null,
  "defaultGeneralLedgerTransactionDate": "General ledger effective date",
  "defaultSubledgerAccountingTransactionDate": "Accounting date",
  "excludeNonDistributableTransactionsFlag": true,
  "emailSubject": null,
  "emailBody": null,
  "carriedInterestEnabledFlag": true,
  "stakeholderReportingEnabledFlag": true
}

Response Body Example

The following shows an example of the response body in JSON format.

{
  "applicationId": 10568,
  "generalLedgerTransactionDateReference": "General ledger reference date",
  "generalLedgerReferenceDescription": "Use the GL reference date as the transaction date on joint venture transactions.",
  "subledgerAccountingTransactionDateReference": "TRANSACTION_DATE",
  "subledgerAccountingReferenceName": "Transaction Date",
  "subledgerAccountingReferenceDescription": "Joint venture transaction date",
  "createdBy": "username",
  "creationDate": "2020-09-22T15:51:29+00:00",
  "lastUpdatedBy": "username",
  "lastUpdateDate": "2026-02-27T08:56:44+00:00",
  "subledgerAccountingProjectIdReference": "JV_PROJECT_ID",
  "subledgerAccountingProjectIdReferenceName": "JV Project ID",
  "subledgerAccountingProjectIdReferenceDescription": "Joint venture project ID",
  "subledgerAccountingTaskIdReference": "JV_TASK_ID",
  "subledgerAccountingTaskIdReferenceName": "JV Task ID",
  "subledgerAccountingTaskIdReferenceDescription": "Joint venture project task ID",
  "subledgerAccountingExpenditureTypeIdReference": "JV_EXP_TYPE_ID",
  "subledgerAccountingExpenditureTypeIdReferenceName": "JV Expenditure Type ID",
  "subledgerAccountingExpenditureTypeIdReferenceDescription": "Joint venture project expenditure type ID",
  "subledgerAccountingExpenditureItemDateReference": "JV_EXP_DATE_ID",
  "subledgerAccountingExpenditureItemDateReferenceName": "JV Expenditure Date ID",
  "subledgerAccountingExpenditureItemDateReferenceDescription": "Joint venture project expenditure date",
  "subledgerAccountingExpenditureOrganizationIdReference": "JV_EXP_ORG_ID",
  "subledgerAccountingExpenditureOrganizationIdReferenceName": "JV Expenditure Organization ID",
  "subledgerAccountingExpenditureOrganizationIdReferenceDescription": "Joint venture project organization ID",
  "primarySegmentLabelCode": "FA_COST_CTR",
  "primarySegmentLabelName": "Cost Center Segment",
  "primarySegmentLabelDescription": "Identifies the cost center segment.",
  "overrideTaskNumber": "2",
  "overrideExpenditureType": null,
  "overrideExpenditureTypeDescription": null,
  "defaultGeneralLedgerTransactionDate": "General ledger effective date",
  "defaultGeneralLedgerTransactionDateDescription": "Applies the general ledger effective date to joint venture transactions from the general ledger when the transaction date is not found from the GL transaction date reference.",
  "defaultSubledgerAccountingTransactionDate": "Accounting date",
  "defaultSubledgerAccountingTransactionDateDescription": "Applies the accounting date to joint venture transactions from subledger accounting when the transaction date is not found from the SLA transaction date reference.",
  "projectAttribute": null,
  "projectAttributeSegment": null,
  "projectAttributeAPIName": null,
  "excludeNonDistributableTransactionsFlag": true,
  "emailSubject": null,
  "emailBody": null,
  "subledgerAccountingExpenditureBusinessUnitIdReference": "JV_EXP_BU_ID",
  "subledgerAccountingExpenditureBusinessUnitIdReferenceName": "JV Expenditure Business Unit ID",
  "subledgerAccountingExpenditureBusinessUnitIdReferenceDescription": "Joint venture project expenditure business unit ID",
  "carriedInterestEnabledFlag": true,
  "stakeholderReportingEnabledFlag": true,
  "overrideBurdeningExpenditureType": null,
  "overrideBurdeningExpenditureTypeDescription": null,
  "links": [
    {
      "rel": "self",
      "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureOptions/10568",
      "name": "jointVentureOptions",
      "kind": "item"
    },
    {
      "rel": "canonical",
      "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureOptions/10568",
      "name": "jointVentureOptions",
      "kind": "item"
    },
    {
      "rel": "child",
      "href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/jointVentureOptions/10568/child/optionsDFF",
      "name": "optionsDFF",
      "kind": "collection"
    }
  ]
}
Back to Top